Index: NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/src/OCE/oce.F90
===================================================================
--- NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/src/OCE/oce.F90	(revision 14063)
+++ NEMO/branches/2020/dev_r13648_ASINTER-04_laurent_bulk_ice/src/OCE/oce.F90	(revision 14065)
@@ -50,6 +50,4 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   ub2_i_b, vb2_i_b         !: Half step time integrated fluxes 
 #endif
-   !
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   spgu, spgv               !: horizontal surface pressure gradient
 
    !! interpolated gradient (only used in zps case)
@@ -91,18 +89,17 @@
       !
       ierr(:) = 0 
-      ALLOCATE( uu   (jpi,jpj,jpk,jpt)  , vv   (jpi,jpj,jpk,jpt) ,                              &          
-         &      ww   (jpi,jpj,jpk)      , hdiv(jpi,jpj,jpk)      ,                              &
-         &      ts   (jpi,jpj,jpk,jpts,jpt),                                                    &
-         &      rab_b(jpi,jpj,jpk,jpts) , rab_n(jpi,jpj,jpk,jpts) ,                             &
-         &      rn2b (jpi,jpj,jpk)      , rn2  (jpi,jpj,jpk)      ,                             &
-         &      rhd  (jpi,jpj,jpk)      , rhop (jpi,jpj,jpk)                              , STAT=ierr(1) )
+      ALLOCATE( uu   (jpi,jpj,jpk,jpt)  , vv   (jpi,jpj,jpk,jpt)           ,     &          
+         &      ww   (jpi,jpj,jpk)      , hdiv(jpi,jpj,jpk)                ,     &
+         &      ts   (jpi,jpj,jpk,jpts,jpt)                                ,     &
+         &      rab_b(jpi,jpj,jpk,jpts) , rab_n(jpi,jpj,jpk,jpts)          ,     &
+         &      rn2b (jpi,jpj,jpk)      , rn2  (jpi,jpj,jpk)               ,     &
+         &      rhd  (jpi,jpj,jpk)      , rhop (jpi,jpj,jpk)               , STAT=ierr(1) )
          !
-      ALLOCATE( ssh(jpi,jpj,jpt)  , uu_b(jpi,jpj,jpt) , vv_b(jpi,jpj,jpt) , &
-         &      spgu  (jpi,jpj)   , spgv(jpi,jpj)                     ,     &
-         &      gtsu(jpi,jpj,jpts), gtsv(jpi,jpj,jpts)                ,     &
-         &      gru(jpi,jpj)      , grv(jpi,jpj)                      ,     &
-         &      gtui(jpi,jpj,jpts), gtvi(jpi,jpj,jpts)                ,     &
-         &      grui(jpi,jpj)     , grvi(jpi,jpj)                     ,     &
-         &      riceload(jpi,jpj)                                     , STAT=ierr(2) )
+      ALLOCATE( ssh (jpi,jpj,jpt)  , uu_b(jpi,jpj,jpt) , vv_b(jpi,jpj,jpt) ,     &
+         &      gtsu(jpi,jpj,jpts) , gtsv(jpi,jpj,jpts)                    ,     &
+         &      gru (jpi,jpj)      , grv (jpi,jpj)                         ,     &
+         &      gtui(jpi,jpj,jpts) , gtvi(jpi,jpj,jpts)                    ,     &
+         &      grui(jpi,jpj)      , grvi(jpi,jpj)                         ,     &
+         &      riceload(jpi,jpj)                                          , STAT=ierr(2) )
          !
       ALLOCATE( fraqsr_1lev(jpi,jpj) , STAT=ierr(3) )
